#!/bin/bash

### BEGIN INIT INFO
# Provides:          david-base
# Required-Start:    $local_fs
# Should-Start:      $network $remote_fs waitfornm autofs 
# Required-Stop:     $local_fs
# Should-Stop:       $network
# Default-Start:     5
# Default-Stop:      0 1 2 6
# Short-Description: prepares the system for the DAVID application
#       eg. creates directories in /local
### END INIT INFO

NAME="DAVID preperation"

# Check for existence of needed config file and read it
FOO_CONFIG=/etc/sysconfig/david
test -r $FOO_CONFIG || { echo "$FOO_CONFIG not existing";
    if [ "$1" = "stop" ]; then exit 0;
    else exit 6; fi; }

# Read config   
. $FOO_CONFIG


source /etc/rc.status

# Reset status of this service
rc_reset


case "$1" in
    start)
        echo -n "Starting $NAME "

        #
        # create directories for DAVID
        #
        if [ "$DAVID_LOCAL_DIRS" ]; then
            mkdir -p $DAVID_LOCAL_DIRS
            rc_status
            chgrp users $DAVID_LOCAL_DIRS
            rc_status
            chmod ug=rwx,g+s $DAVID_LOCAL_DIRS
            rc_status
        fi

        # Löschen der temporären Arbeitsverzeichnisse von David
        rm -rf /tmp/david*
        rm -rf /tmp/ibr

        rc_status -v
        ;;
    stop)
        echo -n "Shutting down $NAME "
        
        # Remember status and be verbose
        rc_status -v
        ;;
    try-restart|condrestart)
        ## Do a restart only if the service was active before.
        ## Note: try-restart is now part of LSB (as of 1.9).
        ## RH has a similar command named condrestart.
        if test "$1" = "condrestart"; then
            echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
        fi
        $0 status
        if test $? = 0; then
            $0 restart
        else
            rc_reset    # Not running is not a failure.
        fi
        # Remember status and be quiet
        rc_status
        ;;
    restart)
        ## Stop the service and regardless of whether it was
        ## running or not, start it again.
        $0 stop
        $0 start
    
        # Remember status and be quiet
        rc_status
        ;;
    force-reload)
        echo -n "Reload service $NAME "
        $0 try-restart
        rc_status
        ;;
    reload)
        ## Like force-reload, but if daemon does not support
        ## signaling, do nothing (!)
        echo -n "Reload service $NAME "
        rc_failed 3
        rc_status -v
        ;;
    status)
        #         echo -n "Checking for service $NAME "
        #         ## Check status with checkproc(8), if process is running
        #         ## checkproc will return with exit status 0.
        #     
        #         # Return value is slightly different for the status command:
        #         # 0 - service up and running
        #         # 1 - service dead, but /var/run/  pid  file exists
        #         # 2 - service dead, but /var/lock/ lock file exists
        #         # 3 - service not running (unused)
        #         # 4 - service status unknown :-(
        #         # 5--199 reserved (5--99 LSB, 100--149 distro, 150--199 appl.)
        #         
        #         # NOTE: checkproc returns LSB compliant status values.
        #         /sbin/checkproc $FOO_BIN
        #         # NOTE: rc_status knows that we called this init script with
        #         # "status" option and adapts its messages accordingly.
        #rc_status -v
        ;;
    *)
        echo "Usage: $0 {start|status|try-restart|restart|force-reload|reload}"
        exit 1
        ;;
esac
rc_exit
